<?
include 'config.php';
include 'func.php';
head();
aut();
ban();

####################Запись онлайна##################
mysql_query("UPDATE `profile` SET `online` = 'cabinet' WHERE `id` = '".$id_session."'");
####################################################

echo head ."<b>Мой аккаунт</b>" .div .katalog; 

switch ($_GET['act']) {
    default:
    $q=mysql_fetch_assoc(mysql_query("SELECT * FROM `microblog` WHERE `id_user` = '$user[id]' ORDER BY `id` DESC LIMIT 1"));
    echo '
    <a href="mail.php">Личные сообщения</a><br/ > 
    <a href="ava.php">Фотография</a><br/ > 
    <a href="myinfo/">Редактирование анкеты</a><br/ >
    <a href="cabinet.php?act=settings">Настройки</a><br/ >
    <a href="friends.php">Мои друзья</a><br/ >
    <a href="blacklist.php">Черный список</a><br/ >
    <a href="cabinet.php?act=uvedom">Мои уведомления</a><br/><br/>
    <b><a href="search.php">Поиск людей</a></b><br/ >';
    
    echo '<form action="microblog/add.php" method="post" name="form">';
    echo 'Статус:<br/><input name="name" type="text" value="'.$q[name].'" maxlength="100" /><br/> ';
    echo '<input name="submit" type="submit" class="button" value="Обновить" /></form><br/>  
    <form action="cabinet.php?act=vopros" method="post" name="form">';
    echo 'Задай вопрос гостям:<br/><input name="vopros" type="text" value="'.$user['vopros'].'" maxlength="20" /><br/> ';
    echo '<input name="submit" type="submit" class="button" value="Задать" /></form>' . div;    
    break;
    
    case 'vopros':
    if (isset($_POST['submit'])) {
        $vopros = html($_POST['vopros']);
        
        if (empty($vopros)) $err = 'Вы не ввели вопрос';
        
        if (isset($err))
            echo link1 . 'Ошибка, ' . $err . div;
        else {
            if (mysql_query("UPDATE `profile` SET `vopros` = '".$vopros."' WHERE `id` = '".$id_session."'")) {
                    $msg1 = '<b>'.user($id_session).'</b> задал(а) новый вопрос: <b>'.$vopros.'</b>';
                    mysql_query("INSERT INTO `jurnal` SET  `msg` = '".$msg1."', `user` = '".$id_session."', `date` = '".time()."'");
                    echo 'Вопрос успешно изменен<br/>';
            } else {
                echo 'Возникла ошибка<br/>';
            }
            
        }
        
    }
    break;
 
    case 'settings':
    echo '<a href="cabinet.php?act=private">Приватность</a><br/ >'; 
    echo '<a href="cabinet.php?act=style">Стиль сайта</a><br/ >'; 
    echo '<a href="cabinet.php?act=forum">Форум</a><br/ >';   
    echo '<a href="cabinet.php?act=chat">Чат</a><br/ >'; 
    echo '<a href="cabinet.php?act=color">Цвет ника</a><br/ >';
    echo '<a href="cabinet.php?act=invis">Невидимость</a><br/ >';
    echo '<a href="cabinet.php?act=bezopas">Безопасность</a><br/ >';
    echo '<a href="cabinet.php?act=pass">Пароль</a><br/ >';
    echo '<a href="cabinet.php?act=smiles">Мои смайлы</a><br/ >';
    echo '<a href="cabinet.php?act=modules">Ограничение от модулей</a><br/ >';
    echo '<b><a href="cabinet.php?act=delete">Удалить анкету</a></b><br/ >';
    echo '<b><a href="cabinet.php?act=opovew">Опевещание</a></b><br/ >';
    break;
    
    case 'uvedom':
    if (empty($_GET['mod']) AND empty($_GET['func'])) {
    echo '<b><a href="cabinet.php?act=uvedom&func=clean">Чистка уведомлений</a></b><br/ >'; 
    echo '<a href="cabinet.php?act=uvedom&mod=fradd">Добавили в друзья</a><br/ >';
    echo '<a href="cabinet.php?act=uvedom&mod=simp">Действия</a><br/ >';
    echo '<a href="cabinet.php?act=uvedom&mod=guest">Гости</a><br/ >';
    echo '<a href="cabinet.php?act=uvedom&mod=flirt">Флиртомания</a><br/ >';
    echo '<a href="cabinet.php?act=uvedom&mod=black">Добавили в черный список</a><br/ >';  
    echo '<a href="cabinet.php?act=uvedom&mod=present">Подарки</a><br/ >';
    echo '<a href="cabinet.php?act=uvedom&mod=golos">Голоса за анкету</a><br/ >'; 
    echo '<a href="cabinet.php?act=uvedom&mod=microblog">Откоментировали микроблог</a><br/ >'; 
    echo '<a href="cabinet.php?act=uvedom&mod=forum_privat">Ответили в вашей теме</a><br/ >'; 
    echo '<a href="cabinet.php?act=uvedom&mod=photo_coment">Откоментировали фотографию</a><br/ >';
    echo '<a href="cabinet.php?act=uvedom&mod=photo_reyt">Оценили фотографию</a><br/ >';
    echo '<a href="cabinet.php?act=uvedom&mod=blog">Откоментировали блог</a><br/ >';
    } else {
        
        if ($_GET['mod']) {
            echo 'Уведомления:' . div;
            $mod = html($_GET['mod']);
            
            $all = mysql_result(mysql_query("SELECT count(*) FROM `uvedom` WHERE `md` = '".$mod."' AND  `user_to` = '".$id_session."'"), 0);
            
            if ($all == 0) echo link2 . 'Список пуст' . div;
        
            mysql_query("UPDATE `uvedom` SET `status` = '0' WHERE `user_to` = '".$id_session."' AND `md` = '".$mod."'");
            
            if($all){
            $onpage = 10;
            $allpage = ceil($all/$onpage);
            $this_page = (isset($_GET['p'])) ? intval($_GET['p']) : 1 ; 
            if($this_page < 1 || $this_page > $allpage)$this_page = 1;
            $start = $this_page*$onpage - $onpage;
            
            $result = mysql_query("SELECT * FROM `uvedom` WHERE `user_to` = '".$id_session."' AND `md` = '".$mod."' ORDER BY `id` DESC limit ".$start.",".$onpage."");
            while($a = mysql_fetch_assoc($result)){
                $user_info = mysql_fetch_assoc(mysql_query("SELECT * FROM `profile` WHERE `id` = '".$a['user_1']."'"));
            echo link2 . "".$a['msg']."" . div;
            }
            echo link1 . '<b>Страницы:</b> ';
            navigation($allpage,"cabinet.php?act=uvedom&mod=".$mod."&p={p}",1,1);
            echo div;
            }
        }
        
        if ($_GET['func']) {
            if ($_GET['result'] == 'yes') echo link1 . 'История уведомлений успешно очищена' . div;
                if ($_GET['func'] == 'clean') {
                    if (isset($_POST['ok'])) {
                        if ($_POST['clean'] == 'all') {
                            mysql_query("DELETE FROM `uvedom` WHERE `user_to` = '".$id_session."'");
                            mysql_query("DELETE FROM `flirt_lenta` WHERE `id_opponent` = '".$id_session."'");
                            mysql_query("DELETE FROM `guest` WHERE `user_2` = '".$id_session."'");
                        } else {
                            if ($_POST['clean'] == 'simp') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['simp'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'black') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['black'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'present') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['present'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'golos') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['golos'])."' AND `user_to` = '".$id_session."'");
                                } 
                            if ($_POST['clean'] == 'microblog') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['microblog'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'forum_privat') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['forum_privat'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'photo_coment') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['photo_coment'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'photo_reyt') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['photo_reyt'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'blog') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['blog'])."' AND `user_to` = '".$id_session."'");
                                }
                            if ($_POST['clean'] == 'fradd') {
                                mysql_query("DELETE FROM `uvedom` WHERE `md` = '".html($_POST['fradd'])."' AND `user_to` = '".$id_session."'");
                                }                                
                            if ($_POST['clean'] == 'flirt') {
                                mysql_query("DELETE FROM `flirt_lenta` WHERE `id_opponent` = '".$id_session."'");
                                }                                                                                                                                                                                                                                                          
                            if ($_POST['clean'] == 'guest') {
                                mysql_query("DELETE FROM `guest` WHERE `user_2` = '".$id_session."'");
                                }                          
                        }
                        header('Location: cabinet.php?act=uvedom&func=clean&result=yes');
                }
                echo '
                <FORM method="POST" action="cabinet.php?act=uvedom&func=clean"><b>Отчистить:</b><br/>
                <input name="clean" type="checkbox" value="simp">Действия<br/>
                <input name="clean" type="checkbox" value="guest">Гости<br/>
                <input name="clean" type="checkbox" value="flirt">Флиртомания<br/>
                <input name="clean" type="checkbox" value="fradd">Добавили в друзья<br/> 
                <input name="clean" type="checkbox" value="black">Добавили в черный список<br/>
                <input name="clean" type="checkbox" value="present">Подарки<br/>
                <input name="clean" type="checkbox" value="golos">Голоса за анкету<br/>
                <input name="clean" type="checkbox" value="microblog">Откоментировали микроблог<br/>
                <input name="clean" type="checkbox" value="forum_privat">Ответили в вашей теме<br/>
                <input name="clean" type="checkbox" value="photo_coment">Откоментировали фотографию<br/>
                <input name="clean" type="checkbox" value="photo_reyt">Оценили фотографию<br/>
                <input name="clean" type="checkbox" value="blog">Откоментировали блог<br/>
                <input name="clean" type="checkbox" value="all"><b>Удалить все</b><br/>
                <input type="submit" class="button" name="ok" value="Удалить"/></FORM>';
            }
        }

    }    
    break;
    
    case 'private':
    echo '<b>Настройки приватности:</b><br/>';
    
    if (isset($_POST['ok'])) {
        $msg = num($_POST['msg']);
        $friends = num($_POST['friends']);
        $presents = num($_POST['presents']);
        $stena = num($_POST['stena']);
        $friend = num($_POST['friend']);
        $str = num($_POST['str']);
        
        if (mysql_query("UPDATE `profile` SET 
        `private_msg` = '".$msg."',
        `private_friends` = '".$friends."',
        `private_stena` = '".$stena."',
        `private_friend` = '".$friend."',
        `private_presents` = '".$presents."',
        `private_str` = '".$str."'
         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }
    }
    
    if ($user['private_msg'] == 0) 
        $msg_1 = 'checked="checked"';
    elseif($user['private_msg'] == 1) 
        $msg_2 = 'checked="checked"';
    else
        $msg_3 = 'checked="checked"';
        
    if ($user['private_friends'] == 0) 
        $friends_1 = 'checked="checked"';
    elseif($user['private_friends'] == 1) 
        $friends_2 = 'checked="checked"';
    else
        $friends_3 = 'checked="checked"';
        
    if ($user['private_presents'] == 0) 
        $presents_1 = 'checked="checked"';
    elseif($user['private_presents'] == 1) 
        $presents_2 = 'checked="checked"';
    else
        $presents_3 = 'checked="checked"';
        
    if ($user['private_friend'] == 0) 
        $friend_1 = 'checked="checked"';
    elseif($user['private_friend'] == 1) 
        $friend_2 = 'checked="checked"';
    else
        $friend_3 = 'checked="checked"';
        
    if ($user['private_str'] == 0) 
        $str_1 = 'checked="checked"';
    elseif($user['private_str'] == 1) 
        $str_2 = 'checked="checked"';
    else
        $str_3 = 'checked="checked"';
        
    if ($user['private_stena'] == 0) 
        $stena_1 = 'checked="checked"';
    elseif($user['private_stena'] == 1) 
        $stena_2 = 'checked="checked"';
    else
        $stena_3 = 'checked="checked"';
    
    echo '<FORM method="POST" action="cabinet.php?act=private">
      Кто может писать мне личные сообщения:<br/> 
      <input type="radio" name="msg" ' . $msg_1 . ' value="0"/> Все<br/>
	  <input type="radio" name="msg" ' . $msg_2 . ' value="1"/> Никто<br/>
	  <input type="radio" name="msg" ' . $msg_3 . ' value="2"/> Только друзья<hr>
      
      Кто может видеть список моих друзей:<br/> 
      <input type="radio" name="friends" ' . $friends_1 . ' value="0"/> Все<br/>
	  <input type="radio" name="friends" ' . $friends_2 . ' value="1"/> Никто<br/>
	  <input type="radio" name="friends" ' . $friends_3 . ' value="2"/> Только друзья<hr>
      
      Кто может видеть список моих подарков:<br/> 
      <input type="radio" name="presents" ' . $presents_1 . ' value="0"/> Все<br/>
	  <input type="radio" name="presents" ' . $presents_2 . ' value="1"/> Никто<br/>
	  <input type="radio" name="presents" ' . $presents_3 . ' value="2"/> Только друзья<hr>
      
      Кто может оставлять сообщения на моей стене:<br/> 
      <input type="radio" name="stena" ' . $stena_1 . ' value="0"/> Все<br/>
	  <input type="radio" name="stena" ' . $stena_2 . ' value="1"/> Никто<br/>
	  <input type="radio" name="stena" ' . $stena_3 . ' value="2"/> Только друзья<hr>
      
      Кто может добавлять меня в друзья:<br/> 
      <input type="radio" name="friend" ' . $friend_1 . ' value="0"/> Все<br/>
	  <input type="radio" name="friend" ' . $friend_2 . ' value="1"/> Никто<hr>
    
      Кто может посещать мою страницу:<br/> 
      <input type="radio" name="str" ' . $str_1 . ' value="0"/> Все<br/>
	  <input type="radio" name="str" ' . $str_2 . ' value="1"/> Никто<br/>
	  <input type="radio" name="str" ' . $str_3 . ' value="2"/> Только друзья<br/><br/> 
	  <input type="submit" name="ok" value="Сохранить"/>
	  </FORM>';
      
      break;
      
      case 'forum':
      if (isset($_POST['ok'])) {
        $simvol = num($_POST['simvol']);
        $postov = num($_POST['postov']);
        $forma = num($_POST['forma']);
        $upload_file = num($_POST['upload_file']);
        $priv = num($_POST['priv']);
        $photo = num($_POST['photo']);
        
        if ($postov > 30 OR $postov < 3) $err = 'Не верное количество постов на страницу. Min 3, Max 30';
        if ($simvol > 512 OR $simvol < 50) $err = 'Не верное количество символов в посте. Min 50, Max 512';
        
        if ($err) {
            echo link1 . '<b>Ошибка:</b> ' . $err . div;
        } else {
        if (mysql_query("UPDATE `profile` SET 
        `settforum_forma` = '".$forma."',
        `settforum_upload` = '".$upload_file."',
        `settforum_priv` = '".$priv."',
        `settforum_photo` = '".$photo."',
        `settforum_simvol` = '".$simvol."',
        `settforum_postov` = '".$postov."'
         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }
        }
     }
     
    if ($user['settforum_forma'] == 0) 
        $forma_1 = 'checked="checked"';
    else
        $forma_2 = 'checked="checked"';
        
    if ($user['settforum_upload'] == 0) 
        $upload_file_1 = 'checked="checked"';
    else
        $upload_file_2 = 'checked="checked"';
        
    if ($user['settforum_priv'] == 0) 
        $priv_1 = 'checked="checked"';
    else
        $priv_2 = 'checked="checked"';
        
    if ($user['settforum_photo'] == 0) 
        $photo_1 = 'checked="checked"';
    else
        $photo_2 = 'checked="checked"';
        
      echo '<FORM method="POST" action="cabinet.php?act=forum">
      Постов на страницу: [min 3 / max 30]<br/ > <input name="postov" type="text" value="'.$user['settforum_postov'].'" maxlength="2" /><br/ >';
      echo 'Символов в посте [min 50 /max 512]:<br/ > <input name="simvol" type="text" value="'.$user['settforum_simvol'].'" maxlength="3" /><br/ >';
    
      echo '<br/>Отображать форму быстрого ответа в темах:<br/> 
      <input type="radio" name="forma" ' . $forma_1 . ' value="0"/> Да<br/>
	  <input type="radio" name="forma" ' . $forma_2 . ' value="1"/> Нет<hr>';
      
      echo 'Показывать поле для выгрузки файлов:<br/> 
      <input type="radio" name="upload_file" ' . $upload_file_1 . ' value="0"/> Да<br/>
	  <input type="radio" name="upload_file" ' . $upload_file_2 . ' value="1"/> Нет<hr>';
      
      echo 'Предпросмотр изображений:<br/> 
      <input type="radio" name="priv" ' . $priv_1 . ' value="0"/> Да<br/>
	  <input type="radio" name="priv" ' . $priv_2 . ' value="1"/> Нет<hr>';
      
      echo 'Показывать аватары:<br/> 
      <input type="radio" name="photo" ' . $photo_1 . ' value="0"/> Да<br/>
	  <input type="radio" name="photo" ' . $photo_2 . ' value="1"/> Нет<br/><br/>';
      
   	  echo '<input type="submit" name="ok" value="Сохранить"/>
	  </FORM>';
      break;
      
      
      case 'chat':
      if (isset($_POST['ok'])) {
        $vvod = num($_POST['vvod']);
        $emo = num($_POST['emo']);
        $color = num($_POST['color']);
        $adres = num($_POST['adres']);
        $postov = num($_POST['postov']);
        $restart = num($_POST['restart']);
        
        if ($postov > 50 OR $postov < 3) $err = 'Не верное количество постов на страницу. Min 3, Max 50';
        if ($simvol > 120 OR $postov < 5) $err = 'Не верное время обновления. Min 5, Max 120';
        
        if ($err) {
            echo link1 . '<b>Ошибка:</b> ' . $err . div;
        } else {
            
        if (mysql_query("UPDATE `profile` SET 
        `settchat_vvod` = '".$vvod."',
        `settchat_emo` = '".$emo."',
        `settchat_color` = '".$color."',
        `settchat_adres` = '".$adres."',
        `settchat_postov` = '".$postov."',
        `settchat_restart` = '".$restart."'
         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }
        }
     }
    if ($user['settchat_vvod'] == 0) 
        $vvod_1 = 'checked="checked"';
    else
        $vvod_2 = 'checked="checked"';
        
    if ($user['settchat_emo'] == 0) 
        $emo_1 = 'checked="checked"';
    else
        $emo_2 = 'checked="checked"';
        
    if ($user['settchat_color'] == 0) 
        $color_1 = 'checked="checked"';
    else
        $color_2 = 'checked="checked"';
        
    if ($user['settchat_adres'] == 0) 
        $adres_1 = 'checked="checked"';
    else
        $adres_2 = 'checked="checked"';
        
      echo '<FORM method="POST" action="cabinet.php?act=chat">
      Постов на страницу: [min 3, max 50]<br/ > <input name="postov" type="text" value="'.$user['settchat_postov'].'" maxlength="2" /><br/ >';
      echo 'Время обновления: [min 5, max 120]<br/ > <input name="restart" type="text" value="'.$user['settchat_restart'].'" maxlength="3" /><br/ >';
    
      echo '<br/>Быстрое поле ввода:<br/> 
      <input type="radio" name="vvod" ' . $vvod_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="vvod" ' . $vvod_2 . ' value="1"/> Выкл<hr>';
      
      echo 'Эмоции:<br/> 
      <input type="radio" name="emo" ' . $emo_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="emo" ' . $emo_2 . ' value="1"/> Выкл<hr>';
      
      echo 'Цвет поста:<br/> 
      <input type="radio" name="color" ' . $color_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="color" ' . $color_2 . ' value="1"/> Выкл<hr>';
      
      echo 'Показывать посты, адресованные:<br/> 
      <input type="radio" name="adres" ' . $adres_1 . ' value="0"/> Всем<br/>
	  <input type="radio" name="adres" ' . $adres_2 . ' value="1"/> Только мне<br/><br/>';
      
   	  echo '<input type="submit" name="ok" value="Сохранить"/>
	  </FORM>';
      break;
      
      case 'invis':
      if ($vip_session > time()) {
     if (isset($_POST['ok'])) {
        $invis = num($_POST['invis']);
        
        if (mysql_query("UPDATE `profile` SET 
        `invis` = '".$invis."'
         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }
    }
     
    if ($user['invis'] == 0) 
        $invis_1 = 'checked="checked"';
    else
        $invis_2 = 'checked="checked"';  
        
      echo '<FORM method="POST" action="cabinet.php?act=invis">Невидимость:<br/> 
      <input type="radio" name="invis" ' . $invis_2 . ' value="0"/> Выкл<br/>
	  <input type="radio" name="invis" ' . $invis_1 . ' value="1"/> Вкл<br/><br/>';
      
   	  echo '<input type="submit" name="ok" value="Сохранить"/>
	  </FORM>';  
      } else {
        echo link1 . 'Услуга доступна только для VIP пользователей' . div;
      }  
      break;
      
      case 'bezopas':
      if (isset($_POST['ok'])) {
        $email = html($_POST['email']);
        $icq = num($_POST['uin']);
        $vopros = html($_POST['vopros']);
        $otvet = html($_POST['otvet']);
        
        if (strlen($email) > 30) $err = 'Слишком длинный E-Mail. Max 30';
        if (strlen($icq) > 9) $err = 'Слишком длинный ICQ номер. Max 9';
        if (strlen($vopros) > 150) $err = 'Слишком длинный секретный вопрос. Max 150';
        if (strlen($otvet) > 150) $err = 'Слишком длинный ответ на вопрос. Max 50';
        
        if ($err) {
            echo link1 . '<b>Ошибка:</b> ' . $err . div;
        } else {
            
        if (mysql_query("UPDATE `profile` SET 
        `bezopas_email` = '".$email."',
        `bezopas_icq` = '".$icq."',
        `bezopas_vopros` = '".$vopros."',
        `bezopas_otvet` = '".$otvet."'

         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }
        }

     }
      echo '<FORM method="POST" action="cabinet.php?act=bezopas"><b>Данные для восстановления пароля:</b><br/>';
      echo div . link2 . 'Обязательные поля помечены звездочкой' . div . link2;
      echo 'E-Mail: [max 30]<br/ > <input name="email" type="text" value="'.$bezopas_email_session.'" maxlength="30" /><br/ >';
      echo 'ICQ: [max 9]<br/ > <input name="uin" type="text" value="'.$bezopas_icq_session.'" maxlength="9" /><br/ ><br/>';
      
      echo ' * Секретный вопрос: [max 150]<br/ > <input name="vopros" type="text" value="'.$bezopas_vopros_session.'" maxlength="150" /><br/ >';  
      echo ' * Ответ на вопрос: [max 50]<br/ > <input name="otvet" type="text" value="'.$bezopas_otvet_session.'" maxlength="50" /><br/ >'; 
   	  echo '<input type="submit" name="ok" value="Сохранить"/></FORM>'; 
      break;
      
      case 'pass':
      
      if (isset($_POST['ok'])) {
        $pass1 = html($_POST['pass1']);
        $pass2 = html($_POST['pass2']);
        $pass3 = html($_POST['pass3']);
        
        if ($pass1 != $pass_session) $err = 'Старый пароль введен не верно';
        if ($pass2 != $pass3) $err = 'Вы не верно повторили пароль';
        
        if ($err) {
            echo link1 . '<b>Ошибка:</b> ' . $err . div;
        } else {
        
        if (mysql_query("UPDATE `profile` SET 
        `pass` = '".$pass2."'
         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }
        
        }
      }
      echo '<FORM method="POST" action="cabinet.php?act=pass"><b>Изменение пароля:</b><br/>';
      echo 'Старый пароль:<br/ > <input name="pass1" type="text" maxlength="30" /><br/ ><br/>';
      echo 'Новый пароль:<br/ > <input name="pass2" type="text" maxlength="30" /><br/ >';
      echo 'Новый пароль: [Еще раз]<br/ > <input name="pass3" type="text" maxlength="30" /><br/ >';

   	  echo '<input type="submit" name="ok" value="Изменить"/></FORM>'; 
      break;
      
      case 'modules':
      if (isset($_POST['ok'])) {
        $garem = num($_POST['garem']);
        $flirt = num($_POST['flirt']);
        $sivor = num($_POST['sivor']);
        $duel = num($_POST['duel']);
        
        if (mysql_query("UPDATE `profile` SET 
        `sett_garem` = '".$garem."',
        `sett_flirt` = '".$flirt."',
        `sett_sivor` = '".$sivor."',
        `sett_duel` = '".$duel."'

         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }

     }
      
    if ($user['sett_garem'] == 0) 
        $garem_1 = 'checked="checked"';
    else
        $garem_2 = 'checked="checked"';
        
    if ($user['sett_flirt'] == 0) 
        $flirt_1 = 'checked="checked"';
    else
        $flirt_2 = 'checked="checked"';
        
    if ($user['settchat_sivor'] == 0) 
        $sivor_1 = 'checked="checked"';
    else
        $sivor_2 = 'checked="checked"';
        
    if ($user['sett_duel'] == 0) 
        $duel_1 = 'checked="checked"';
    else
        $duel_2 = 'checked="checked"';

    
      echo '<FORM method="POST" action="cabinet.php?act=modules">Участие в гареме:<br/> 
      <input type="radio" name="garem" ' . $garem_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="garem" ' . $garem_2 . ' value="1"/> Выкл<hr>';
      
      echo 'Участие в флиртомании:<br/> 
      <input type="radio" name="flirt" ' . $flirt_1 . ' value="0"/> Выкл<br/>
	  <input type="radio" name="flirt" ' . $flirt_2 . ' value="1"/> Вкл<hr>';
      
      echo 'Участие в провокаторе:<br/> 
      <input type="radio" name="sivor" ' . $sivor_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="sivor" ' . $sivor_2 . ' value="1"/> Выкл<hr>';
      
      echo 'Участие в дуэлях:<br/> 
      <input type="radio" name="duel" ' . $duel_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="duel" ' . $duel_2 . ' value="1"/> Выкл<br/><br/>';
      
   	  echo '<input type="submit" name="ok" value="Сохранить"/>
	  </FORM>';
      break;
      
      case 'color':
      if (isset($_POST['ok'])) {
        $color = num($_POST['color']);
        
        if (mysql_query("UPDATE `profile` SET `color_login` = '".$color."' WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        
        }
        }
      echo '<form action="cabinet.php?act=color" method="post">
        Цвет ника:<br/>
        <select name="color">
        <option value="2" style="background-color: #ffcc00; color: white;">Яндекс</option>
        <option value="3" style="background-color: #ffcc99; color: white;">Оранжево-персиковый</option>
        <option value="4" style="background-color: #f5f5dc; color: black;">Бежевый</option>
        <option value="5" style="background-color: #808000; color: white;">Оливковый</option>
        <option value="6" style="background-color: #f4c430 color: white;">Шафрановый</option>
        <option value="7" style="background-color: #ffff00; color: black;">Желтый</option>
        <option value="8" style="background-color: #00ff00; color: white;">Зеленый</option>
        <option value="9" style="background-color: #ccff00; color: black;">Лайм</option>
        <option value="10" style="background-color: #98ff98; color: white;">Мятный</option>
        <option value="11" style="background-color: #c71585; color: white;">Фиолетово-красный</option>
        <option value="12" style="background-color: #ff00ff; color: white;">Пурпурный</option>
        <option value="13" style="background-color: #ff4f00; color: black;">Оранжевый</option>
        <option value="14" style="background-color: #ffc0cb; color: black;">Розовый</option>
        <option value="15" style="background-color: #ff7518; color: black;">Тыквенный</option>
        <option value="16" style="background-color: #007fff; color: white;">Лазурный</option>
        <option value="19" style="background-color: #4c5866; color: white;">Моренго</option>
        <option value="20" style="background-color: #1c6b72; color: white;">Мурена</option>
        <option value="21" style="background-color: #30d5c8; color: white;">Бирюзовый</option>
        <option value="22" style="background-color: #082567; color: white;">Сапфировый</option>
        </select>
        <input type="submit" name="ok" value="Сохранить" /></form>';
        break;
        
        case 'opovew':
      if (isset($_POST['ok'])) {
        $icq = num($_POST['icq']);
        $email = num($_POST['email']);

        if (mysql_query("UPDATE `profile` SET 
        `settopovew_icq` = '".$icq."',
        `settopovew_email` = '".$email."'
   

         WHERE `id` = '".$id_session."'")) {
            echo link1 . 'Настройки успешно сохранены' . div;
        } else {
            echo link1 . 'Воникла ошибка' . div;
        }
     }
      
    if ($user['settopovew_icq'] == 0) 
        $icq_1 = 'checked="checked"';
    else
        $icq_2 = 'checked="checked"';
        
    if ($user['settopovew_email'] == 0) 
        $email_1 = 'checked="checked"';
    else
        $email_2 = 'checked="checked"';


    
      echo '<FORM method="POST" action="cabinet.php?act=modules">Оповещания [Функция будет активна - когда вы не в сети]:<br/> 
      Опевещать а аську:<br/> 
      <input type="radio" name="icq" ' . $icq_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="icq" ' . $icq_2 . ' value="1"/> Выкл<hr>';
      
      echo 'Оповещать на E-Mail:<br/> 
      <input type="radio" name="email" ' . $email_1 . ' value="0"/> Вкл<br/>
	  <input type="radio" name="email" ' . $email_2 . ' value="1"/> Выкл<hr>';

      
        
      echo '<input type="submit" name="ok" value="Сохранить"/>
	  </FORM>';
      break;
      
      case 'delete':
      echo '<FORM method="POST" action="cabinet.php?act=delete">';
      echo 'Никкто не сможет просматривать Ваши данные, писать Вам сообщения и совершать другие действия.<br/> 
      Вам не будут приходить уведомления на электронную почту.<br/> У Вас останется возможность восстановить анкету.<br/>';
      echo '<input type="submit" name="ok" value="Удалить"/>
	  </FORM>';      
      break;
      
        case 'smiles':
        echo link1 . '<b>Управление смайлами:</b>' . div;
        if ($_GET['ok'] == add) echo '<b>Смайл успешно загружен.</b><br />';
        if ($_GET['ok'] == del1 || $_GET['ok'] == del2 || $_GET['ok'] == del3) echo link2 . '<b>Смайл успешно удален.</b>' . div;
        
        if ($_GET['sm'] == del1) {
        mysql_query("Update profile set lsmile='' where id ='".$user['id']."'");
        if (file_exists('uploadsmiles/' . $user['lsmile'].'')) unlink('mysmiles/' . $user['lsmile'].'');
        header ('Location: cabinet.php?act=smiles&ok=del1');
        exit;
        }
        if ($_GET['sm'] == del2) {
        mysql_query("Update profile set lsmile2='' where id ='".$user['id']."'");
        if (file_exists('uploadsmiles/' . $user['lsmile2'].'')) unlink('mysmiles/' . $user['lsmile2'].'');
        header ('Location: cabinet.php?act=smiles&ok=del2');
        exit;
        }
        if ($_GET['sm'] == del3) {
        mysql_query("Update profile set lsmile3='' where id ='".$user['id']."'");
        if (file_exists('uploadsmiles/' . $user['lsmile3'].'')) unlink('mysmiles/' . $user['lsmile3'].'');
        header ('Location: cabinet.php?act=smiles&ok=del3');
        exit;
        }
        
        if (!empty($user['lsmile'])) {
        echo link2 . '<img src="' . $user['lsmile'].'" alt="Смайл"/><br/>
              Комманда: .my.<br/>
              <a href="cabinet.php?act=smiles&sm=del1">[Удалить]</a>' . div;
        }
        if (!empty($user['lsmile2'])) {
        echo link2 . '<img src="' . $user['lsmile2'].'" alt="Смайл"/><br/>
              Комманда: .my2.<br/>
              <a href="cabinet.php?act=smiles&sm=del2">[Удалить]</a>' . div;
        }
        if (!empty($user['lsmile3'])) {
        echo link2 . '<img src="' . $user['lsmile3'].'" alt="Смайл"/><br/>
              Комманда: .my3.</small><br/>
              <a href="cabinet.php?act=smiles&sm=del3">[Удалить]</a>' . div;
        }
        
        echo link1 . '<a href="cabinet.php?act=smile">Загрузить смайл</a>' . div;
        break;
        
        case smile:
        echo katalog;
        if (empty($_POST['submit'])) {
        
        echo 'Размер загружаемого смайла не должен привышать 25 кб. 100х100px. Форматы: gif, jpg, jpeg, png.<br/>Цена загрузки одного смайла = ' . $cena . ' монет23';
        if ($_GET['err'] == 1) echo '<b style="color: red">Недопустимое расширение файла!</b><br />';
        if ($_GET['err'] == 2) echo '<b style="color: red">Размер файла не должен превышать 25 кб.</b><br />';
        if ($_GET['err'] == 3) echo '<b style="color: red">Достигнут лимит загружаемых смайлов!</b><br />';
        if ($_GET['err'] == 4) echo '<b style="color: red">Неправильное расширение смайла!</b><br />';
        
        $count = mysql_fetch_assoc(mysql_query("SELECT `lsmile`,`lsmile2`,`lsmile3` FROM `profile` WHERE `id`='$id'"));
        if (!empty($count['lsmile'])) {
        $l = 1;
        }
        if (!empty($count['lsmile2'])) {
        $l2 = 1;
        }
        if (!empty($count['lsmile3'])) {
        $l3 = 1;
        }
        
        echo '<u>Личных смайлов '.($l+$l2+$l3).' из 3</u><br/>';
        
        echo '<form ENCTYPE="multipart/form-data" action="cabinet.php?act=smile" method="post">';
        echo '<b>Прикрепить смайл:</b><br/>';
        echo '<INPUT NAME="file" TYPE="file" SIZE="20"><br/>
        <input type="submit" name="submit" class="ibutton"  value="Загрузить">
        </form><br/>';
        
        } else {
        
        if (!isset($_FILES['file'])) $err = "<b>Вы не указали файл!</b><br/>";
        
        $pictures = array('.gif', '.jpg', '.jpeg', '.png');
        $ext = strtolower(strrchr($_FILES['file']['name'], '.'));
        
        $par = @getimagesize($_FILES['file']);
        
        if (($par[0] > 100) or ($par[1] > 100)) $err = 'Не верное разрешение файла';
        
        
        
        $fnames = $_FILES['file']['name']; //имя
        if ((preg_match("/.php/i", $fnames)) or (preg_match("/.pl/i", $fnames)) or ($fnames == ".htaccess"))  $err = 'Не верное расширение файла';
        
        if ($vip_session < time())
        if ($many_session < $cena) $err = 'У вас не достаточно монет';
        
        if (!empty($user['lsmile']) && !empty($user['lsmile2']) && !empty($user['lsmile3']))  $err = 'Достигнут лимит загруженных смайлов';
        
        
        if (!in_array($ext, $pictures))   $err = 'Не верное расширение файла';
        
        if ($_FILES['file']['size'] > (1024 * 25))  $err = 'Размер файла не должен превышать 25 кб';
        
        if (empty($user['lsmile'])) {
        $foto = "uploadsmiles/smile_".$user['id'].$ext."";
        } elseif (empty($user['lsmile2'])) {
        $foto = "uploadsmiles/smile2_".$user['id'].$ext."";
        } elseif (empty($user['lsmile3'])) {
        $foto = "uploadsmiles/smile3_".$user['id'].$ext."";
        }
        
        if (isset($err)) echo 'Ошибка, ' . $err . '<br/>';
        else {
        if (empty($user['lsmile']) || empty($user['lsmile2']) || empty($user['lsmile3'])) {
        @copy($_FILES['file']['tmp_name'],$foto);
        @chmod(H.basename($foto), 0751);
        }
        
        
        if (empty($user['lsmile'])) {
        mysql_query("Update profile set lsmile='".$foto."' where id ='".$user['id']."'");
        
        } elseif (empty($user['lsmile2'])) {
        mysql_query("Update profile set lsmile2='".$foto."' where id ='".$user['id']."'");
        } elseif (empty($user['lsmile3'])) {
        mysql_query("Update profile set lsmile3='".$foto."' where id ='".$user['id']."'");
        }
        
        if ($vip_session > time())
        $result = $many_session - 0;
        else
        $result = $many_session - $cena;
        mysql_query("Update profile set `many`='".$result."' where id ='".$id_session."'");
        
        echo 'Смайл успешно загружен';
        }
        
        }
        
        echo div;
        break;
}
echo div;
navig();
foot();
?>